import * as ts from 'typescript';
import { Decorator } from "../decorator/type";
import { DecoratorData } from '../decorator/utils';
import { MetadataGenerator, Parameter } from './metadataGenerator';
export declare class ParameterGenerator {
    private readonly parameter;
    private readonly method;
    private readonly path;
    private readonly current;
    protected decoratorHandler?: Decorator.RepresentationResolver;
    protected decorator?: DecoratorData;
    constructor(parameter: ts.ParameterDeclaration, method: string, path: string, current: MetadataGenerator);
    generate(): Parameter;
    private getCurrentLocation;
    private getRequestParameter;
    private getContextParameter;
    private getFileParameter;
    private getFormParameter;
    private getCookieParameter;
    private getBodyParameter;
    private getHeaderParameter;
    private getQueryParameter;
    private getPathParameter;
    private getParameterDescription;
    private supportsBodyParameters;
    private supportPathDataType;
    private supportQueryDataType;
    private getValidatedType;
}
